﻿using System.ComponentModel;
using Spectre.Console.Cli;

namespace PiwigoDirectorySync.Commands;

internal class SyncCommandSettings : CommonCommandSettings
{
    [Description("specify this flag to only read from the piwigo server and skip all updates. This might help on initial sync with an existing gallerie to not change any data.")]
    [CommandOption("-r|--read-only")]
    [DefaultValue(false)]
    public bool ReadOnly { get; set; }
}