﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Design;

namespace PiwigoDirectorySync.Persistence;

public class BloggingContextFactory : IDesignTimeDbContextFactory<PersistenceContext>
{
    public PersistenceContext CreateDbContext(string[] args)
    {
        var optionsBuilder = new DbContextOptionsBuilder<PersistenceContext>();
        optionsBuilder.UseSqlite("Data Source=piwigoSync.db");
        return new PersistenceContext(optionsBuilder.Options);
    }
}