﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PiwigoDirectorySync.Migrations
{
    /// <inheritdoc />
    public partial class Update_indices_and_rename_piwigoServerAlbumId : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_PiwigoImages_AlbumId",
                table: "PiwigoImages");

            migrationBuilder.RenameColumn(
                name: "PiwigoAlbumId",
                table: "PiwigoAlbums",
                newName: "ServerAlbumId");

            migrationBuilder.RenameIndex(
                name: "IX_PiwigoAlbums_PiwigoAlbumId",
                table: "PiwigoAlbums",
                newName: "IX_PiwigoAlbums_ServerAlbumId");

            migrationBuilder.CreateIndex(
                name: "IX_PiwigoImages_AlbumId_FilePath",
                table: "PiwigoImages",
                columns: new[] { "AlbumId", "FilePath" });

            migrationBuilder.CreateIndex(
                name: "IX_PiwigoImages_ServerImageId",
                table: "PiwigoImages",
                column: "ServerImageId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_PiwigoImages_AlbumId_FilePath",
                table: "PiwigoImages");

            migrationBuilder.DropIndex(
                name: "IX_PiwigoImages_ServerImageId",
                table: "PiwigoImages");

            migrationBuilder.RenameColumn(
                name: "ServerAlbumId",
                table: "PiwigoAlbums",
                newName: "PiwigoAlbumId");

            migrationBuilder.RenameIndex(
                name: "IX_PiwigoAlbums_ServerAlbumId",
                table: "PiwigoAlbums",
                newName: "IX_PiwigoAlbums_PiwigoAlbumId");

            migrationBuilder.CreateIndex(
                name: "IX_PiwigoImages_AlbumId",
                table: "PiwigoImages",
                column: "AlbumId");
        }
    }
}
