﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PiwigoDirectorySync.Migrations
{
    /// <inheritdoc />
    public partial class Adds_serverId_path_index_to_album : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_PiwigoAlbums_ServerId",
                table: "PiwigoAlbums");

            migrationBuilder.CreateIndex(
                name: "IX_PiwigoAlbums_ServerId_Path",
                table: "PiwigoAlbums",
                columns: new[] { "ServerId", "Path" });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_PiwigoAlbums_ServerId_Path",
                table: "PiwigoAlbums");

            migrationBuilder.CreateIndex(
                name: "IX_PiwigoAlbums_ServerId",
                table: "PiwigoAlbums",
                column: "ServerId");
        }
    }
}
