﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PiwigoDirectorySync.Migrations
{
    /// <inheritdoc />
    public partial class ImagePathIsUniqueWithinAlbum : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_PiwigoImages_AlbumId_FilePath",
                table: "PiwigoImages");

            migrationBuilder.CreateIndex(
                name: "IX_PiwigoImages_AlbumId_FilePath",
                table: "PiwigoImages",
                columns: new[] { "AlbumId", "FilePath" },
                unique: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_PiwigoImages_AlbumId_FilePath",
                table: "PiwigoImages");

            migrationBuilder.CreateIndex(
                name: "IX_PiwigoImages_AlbumId_FilePath",
                table: "PiwigoImages",
                columns: new[] { "AlbumId", "FilePath" });
        }
    }
}
