﻿using Microsoft.EntityFrameworkCore;

namespace PiwigoDirectorySync.Persistence;

public class PersistenceContext : DbContext
{
    public PersistenceContext(DbContextOptions<PersistenceContext> options) : base(options)
    {
    }

    public DbSet<ServerEntity> PiwigoServers { get; set; } = null!;
    public DbSet<AlbumEntity> PiwigoAlbums { get; set; } = null!;
    public DbSet<ImageEntity> PiwigoImages { get; set; } = null!;
}