using System.Threading.Channels;

namespace PiwigoDirectorySync.Services;

internal interface IFileIndexer
{
    int TotalFilesScanned { get; }
    IReadOnlyCollection<string> FailedFiles { get; }
    Task StartProcessingAsync(Channel<string> fileQueue, int piwigoServerId, CancellationToken ct);
}