﻿namespace PiwigoDirectorySync.Services;

internal interface IImageSynchronizer
{
    Task SynchronizeImagesAsync(int piwigoServerId, bool readOnly, CancellationToken ct);
    Task DownloadImagesAsync(int piwigoServerId, CancellationToken ct);
    Task<PendingChange> GetPendingChangesAsync(int piwigoServerId, CancellationToken ct);
}